"use strict";

const ChildProcessEmitter = require('./child-process').ChildProcessEmitter;

class MediaPlayer extends ChildProcessEmitter {
    constructor(config, logger) {
      super(config.mpg321, logger);
    }
}

module.exports = function(config, logger) {
    return new MediaPlayer(config, logger);
};

// vim:set ts=2 sw=2 et:
